/* BLOCK: Charging */

.block-charging .charging-wrapper {
    position: relative;
    padding-top: 15.625rem;
    isolation: isolate;
}

.block-charging .charging-indicator {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 63.625rem;
    color: var(--c-bg-light-tint-1);
    -webkit-mask-image: linear-gradient(black 25%, transparent);
    mask-image: linear-gradient(black 25%, transparent);
    z-index: -1;
}

.block-charging .charging-indicator .is-charged {
    color: var(--c-tertiary);
}

.block-charging .title {
    max-width: 45%;
    text-align: center;
    margin-inline: auto;
}

.block-charging .cta-buttons {
    justify-content: center;
    margin-top: 5rem;
}

@media screen and (width <= 920px) {
    .block-charging .charging-wrapper {
        padding-top: 12rem;
    }
}

@media screen and (width <= 620px) {
    .block-charging .charging-wrapper {
        padding-top: 7rem;
    }

    .block-charging .title {
        max-width: 55%;
    }

    .block-charging .cta-buttons {
        margin-top: 2.5rem;
    }
}

@media screen and (width <= 420px) {
    .block-charging .title {
        max-width: 75%;
    }
}